import { register } from 'mojang-gametest'

import { world } from "mojang-minecraft";

import { ActionFormData, ModalFormData } from "mojang-minecraft-ui"

register('', '', (test) => {})

world.events.beforeChat.subscribe((eventData) => {
    if (eventData.message == "!spawn") {
        eventData.cancel = true;
        eventData.sender.runCommand('execute @s ~~~ playsound note.bass')
        eventData.sender.runCommand('execute @s ~~~ say You have been teleported to spawn!')
        eventData.sender.runCommand('execute @s ~~~ tp ~~20 ~10')
    }
});
world.events.beforeItemUse.subscribe((eventData) => {
    let item = eventData.item
    let player = eventData.source

    if (item.id == "minecraft:cookie") {
        player.runCommand('playsound note.pling @s')
        SF(player);
      }
    });
    function SF(player) {
       const form = new ActionFormData
        form.body('This is a test GUI for YT!')
        form.title('GUI Test Build')
        form.button('Give Diamonds!')
        form.show(player).then(end => {
            if (end.selection == 0) {
                player.runCommand('give @s diamond 16')
            }
})}
